Retrieve Seller's Additional Services Data

Credentials

Overview

This endpoint is used to retrieve seller's additional services data.

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
payme_client_key string yes The PayMe client key
seller_payme_id string yes The MPL of the seller

Request example

{
  "payme_client_key": "Priority_kYrGUl6U",
  "seller_payme_id": "MPL16581-72241ASS-BGIULKNU-LIIAEWDT"
}

Code samples

curl

curl -X POST 'https://sandbox.payme.io/api/get-vas-seller' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "payme_client_key": "Priority_kYrGUl6U",
  "seller_payme_id": "MPL16581-72241ASS-BGIULKNU-LIIAEWDT"
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/get-vas-seller", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "payme_client_key": "Priority_kYrGUl6U",
    "seller_payme_id": "MPL16581-72241ASS-BGIULKNU-LIIAEWDT"
  }),
});

console.log(await response.text());

Python

import requests

response = requests.post(
    "https://sandbox.payme.io/api/get-vas-seller",
    json={
        "payme_client_key": "Priority_kYrGUl6U",
        "seller_payme_id": "MPL16581-72241ASS-BGIULKNU-LIIAEWDT",
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "payme_client_key": "Priority_kYrGUl6U",
  "seller_payme_id": "MPL16581-72241ASS-BGIULKNU-LIIAEWDT"
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/get-vas-seller');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — OK (success)

Field Type Description
status_code integer 0 success 1 failrue
seller_payme_id string The MPL of the seller
vas_payme_id string The VAS guid
items_count integer VASes count
items array
items[].vas_description string The VAS description
items[].vas_type string The VAS type
items[].vas_api_key string The VAS Guid
items[].vas_is_active boolean Is the VAS active or not
items[].vas_payer_type integer The payer type
items[].vas_price_currency string VAS fee currency
items[].vas_price_setup_fixed integer VAS setup price (fixed)
items[].vas_price_periodic_fixed integer VAS periodic price (fixed)
items[].vas_price_periodic_variable string VAS periodic price (fixed)
items[].vas_price_usage_fixed integer VAS usage price (fixed)
items[].vas_price_usage_variable string VAS usage price (fixed)
items[].vas_market_fee string VAS market fee
items[].vas_period integer VAS period | Code ----|---- Instant | 1 Daily | 2 Monthly | 3 Yearly | 4
items[].vas_data array Data that saved under the VAS
{
  "status_code": 0,
  "seller_payme_id": "MPL16581-DEMO-DEMO-DEMO",
  "vas_payme_id": null,
  "items_count": 15,
  "items": [
    {
      "vas_description": "עמלת סליקה",
      "vas_type": "Settlements",
      "vas_api_key": null,
      "vas_is_active": true,
      "vas_payer_type": 2,
      "vas_price_currency": "ILS",
      "vas_price_setup_fixed": 0,
      "vas_price_periodic_fixed": 0,
      "vas_price_periodic_variable": "0.00",
      "vas_price_usage_fixed": 0,
      "vas_price_usage_variable": "0.00",
      "vas_market_fee": null,
      "vas_period": 1,
      "vas_data": []
    }
  ]
}